/**
 *#########################################################################
 *
 * A component of the Gatherer application, part of the Greenstone digital
 * library suite from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * Author: John Thompson, Greenstone Digital Library, University of Waikato
 *
 * Copyright (C) 1999 New Zealand Digital Library Project
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *########################################################################
 */
package org.greenstone.gatherer.util;
/**************************************************************************************
 * Written:     02/07/03
 * Revised:
 **************************************************************************************/
/** Were you to guess that this is a class object choc-a-block full of static stringy goodness, you'd be right. They come in several flavours: Those ending _STR are strings you might find as values in XML, _ELEMENT are element names, _ATTRIBUTE are attribute names, _CHAR are particular characters while _CHARACTER are also characters but expressed as strings (for regex purposes ie startsWith, endsWith, indexOf and replaceAll); _PATTERN are strings which require extra escaping to put them through regex. Finally anything else is just a static string used within GLI. */
public class StaticStrings {
    static final public char   CLOSEBRACKET_CHAR                          = ']';
    static final public char   DOUBLEQUOTE_CHAR                           = '\"';
    static final public char   BACKSLASH_CHAR                             = '\\';
    static final public char   FORWARDSLASH_CHAR                          = '/';
    static final public char   NEW_LINE_CHAR                              = '\n';
    static final public char   OPENBRACKET_CHAR                           = '[';
    static final public char   PIPE_CHAR                                  = '|';
    static final public char   SINGLEQUOTE_CHAR                           = '\'';
    static final public char   SPACE_CHAR                                 = ' ';
    static final public char   STAR_CHAR                                  = '*';
    static final public String ABSTRACT_ELEMENT                           = "Abstract";
    static final public String ALLFIELDS_STR                              = "allfields";
    static final public String ARCPLUG_STR                                = "ArcPlug";
    static final public String ASSIGNED_ATTRIBUTE                         = "assigned";
    static final public String AT_CHARACTER                               = "@";
    static final public String BUILD_TYPE_STR                             = "buildtype";
    static final public String CCS_STR                                    = "ccs";
    static final public String CLASSES_FOLDER                             = "classes";
    static final public String CLASSIFY_ELEMENT                           = "Classify";
    static final public String CLASSIFY_STR                               = "classify";
    static final public String CLOSE_PARENTHESIS_CHARACTER                = ")";
    static final public String COLNAME_PATTERN                            = "<col_name>";
    static final public String COLLECT_CFG                                = "collect.cfg";
    static final public String COLLECTCONFIGURATION_XML                   = "CollectionConfig.xml";
    static final public String COLLECTION_ELEMENT                         = "Collection";
    static final public String COLLECTIONMETADATA_BETA_ELEMENT            = "Beta";
    static final public String COLLECTIONMETADATA_BETA_STR                = "beta";
    static final public String COLLECTIONMETADATA_COLLECTIONNAME_STR      = "collectionname";
    static final public String COLLECTIONMETADATA_COLLECTIONEXTRA_STR     = "collectionextra";
    static final public String COLLECTIONMETADATA_CREATOR_ELEMENT         = "Creator";
    static final public String COLLECTIONMETADATA_CREATOR_STR             = "creator";
    static final public String COLLECTIONMETADATA_ELEMENT                 = "CollectionMetadata";
    static final public String COLLECTIONMETADATA_ICONCOLLECTION_STR      = "iconcollection";
    static final public String COLLECTIONMETADATA_ICONCOLLECTIONSMALL_STR = "iconcollectionsmall";
    static final public String COLLECTIONMETADATA_MAINTAINER_ELEMENT      = "Maintainer";
    static final public String COLLECTIONMETADATA_MAINTAINER_STR          = "maintainer";
    static final public String COLLECTIONMETADATA_PUBLIC_ELEMENT          = "Public";
    static final public String COLLECTIONMETADATA_PUBLIC_STR              = "public";
    static final public String COLLECTIONMETADATA_STR                     = "collectionmeta";
    static final public String COLON_CHARACTER                            = ":";
    static final public String COMMA_CHARACTER                            = ",";
    static final public String COMMENTED_INDEXES_STR                      = "#indexes";
    static final public String COMMENTED_INDEX_DEFAULT_STR                = "#defaultindex";
    static final public String COMMENTED_LEVELS_STR                       = "#levels";
    static final public String CONTENT_ATTRIBUTE                          = "content";
    static final public String CONTENT_ELEMENT                            = "content";
    static final public String CUSTOM_ATTRIBUTE                           = "custom";
    static final public String DEBUG_ARGUMENT                             = "-debug";
    static final public String DICTIONARY_FILENAME                        = "dictionary";
    static final public String DIRECTORY_MAPPINGS_ELEMENT                 = "DirectoryMappings";
    static final public String ETC_FOLDER                                 = "etc";
    static final public String EMPTY_STR                                  = "";
    static final public String ENGLISH_LANGUAGE_STR                       = "en";
    static final public String ENUM_STR                                   = "enum";
    static final public String EQUALS_CHARACTER                           = "=";
    static final public String ERROR_STR                                  = "Error";
    static final public String ESCAPE_PATTERN                             = "\\\\";
    static final public String ESCAPE_STR                                 = "\\";
    static final public String EXCLAIMATION_CHARACTER                     = "!";
    static final public String EXCLUDE_STR                                = "exclude";
    static final public String EXTRACTED_METADATA_ELEMENT                 = "XMetadata";
    static final public String EXTRACTED_NAMESPACE                        = "ex.";
    static final public String FALSE_STR                                  = "false";
    static final public String FILE_ATTRIBUTE                             = "file";
    static final public String FILENAME_STR                               = "Filename";
    static final public String FLAG_STR                                   = "flag";
    static final public String FORMAT_ELEMENT                             = "Format";
    static final public String FORMAT_STR                                 = "format";
    static final public String GSDL_ARGUMENT                              = "-gsdl";
    static final public String HFILE_ARGUMENT                             = "-hfile";
    static final public String HIERARCHY_ATTRIBUTE                        = "hierarchy";
    static final public String HIERARCHY_CLASSIFIER                       = "Hierarchy";
    static final public String HIERARCHY_STR                              = "hierarchy";
    static final public String HTTP_PROTOCOL_STR                          = "http://";
    static final public String HELP_ARGUMENT                              = "-help";
    static final public String IMAGES_FOLDER                              = "images";
    static final public String IMAGES_PATH_RELATIVE_TO_COLLECTION_PREFIX  = "_httpcollection_/images/";
    static final public String IMAGES_PATH_RELATIVE_TO_GSDL_PREFIX        = "_httpprefix_/collect/<col_name>/images/";
    static final public String IMPORT_FOLDER                              = "import";
    static final public String INCLUDE_STR                                = "include";
    static final public String INDEX_ELEMENT                              = "Index";
    static final public String INDEX_DEFAULT_ELEMENT                      = "DefaultIndex";
    static final public String INDEX_DEFAULT_STR                          = "defaultindex";
    static final public String INDEX_STR                                  = "indexes";
    static final public String INDEXES_ELEMENT                            = "Indexes";
    static final public String INT_STR                                    = "int";
    static final public String LANGUAGE_ARGUMENT                          = "l=";
    static final public String LANGUAGE_ATTRIBUTE                         = "language";
    static final public String LANGUAGE_ELEMENT                           = "Language";
    static final public String LANGUAGE_DEFAULT_ELEMENT                   = "DefaultLanguage";
    static final public String LANGUAGE_DEFAULT_STR                       = "defaultlanguage";
    static final public String LANGUAGE_STR                               = "language";
    static final public String LANGUAGES_ELEMENT                          = "Languages";
    static final public String LANGUAGES_STR                              = "languages";
    static final public String LBRACKET_CHARACTER                         = "[";
    static final public String LBRACKET_PATTERN                           = "\\[";
    static final public String LEVEL_ATTRIBUTE                            = "level";
    static final public String LEVELS_ELEMENT                             = "Levels";
    static final public String LEVELS_STR                                 = "levels";
    static final public String LIBRARY_ARGUMENT                           = "-library";
    static final public String LIBRARY_STR                                = "library";
    static final public String LOAD_ARGUMENT                              = "-load";
    static final public String MAPPING_ELEMENT                            = "Mapping";
    static final public String MARC_EXTENSION                             = ".marc";
    static final public String METADATA_ARGUMENT                          = "-metadata";
    static final public String METADATA_BAK                               = "~metadata.xml";
    static final public String METADATA_ELEMENT                           = "Metadata";
    static final public String METADATA_SET_EXTENSION                     = ".mds";
    static final public String METADATA_STR                               = "metadata";
    static final public String METADATA_TYPE_STR                          = "metadatum"; // Because -someone- complained we have metadata (plural) and metadatum (singular) confused...
    static final public String METADATA_XML                               = "metadata.xml";
    static final public String METADATUM_STR                              = "metadatum";
    static final public String METADATUM_TYPE_STR                         = "metadata"; // Because -someone- complained we have metadata (plural) and metadatum (singular) confused...
    static final public String MGPP_ATTRIBUTE                             = "mgpp_enabled";
    static final public String MINUS_CHARACTER                            = "-";
    static final public String MODEL_COLLECTION_NAME                      = "modelcol";
    static final public String NAME_ATTRIBUTE                             = "name";
    static final public String NEWLINE_CHARACTER                          = "\\";
    static final public String NEWLINE_ELEMENT                            = "NewLine";
    static final public String NO_LOAD_ARGUMENT                           = "-no_load";
    static final public String OPEN_PARENTHESIS_CHARACTER                 = "(";
    static final public String OPTION_ELEMENT                             = "Option";
    static final public String OPTIONS_ATTRIBUTE                          = "options";
    static final public String PERL_ARGUMENT                              = "-perl";
    static final public String PHIND_CLASSIFIER                           = "Phind";
    static final public String PIPE_STR                                   = "|";
    static final public String PLUGIN_ELEMENT                             = "Plugin";
    static final public String PLUGIN_STR                                 = "plugin";
    static final public String PROPERTIES_FILE_EXTENSION                  = ".properties";
    static final public String PSEUDO_COLLECTCONFIGURATION_XML            = "xml/CollectionConfig.xml";
    static final public String RANGE_ELEMENT                              = "Range";
    static final public String RBRACKET_CHARACTER                         = "]";
    static final public String RBRACKET_PATTERN                           = "\\]";
    static final public String RECPLUG_STR                                = "RecPlug";
    static final public String SEARCHTYPE_ELEMENT                         = "SearchType";
    static final public String SEARCHTYPE_STR                             = "searchtype";
    static final public String SEPARATOR_ATTRIBUTE                        = "separator";
    static final public String SEPARATOR_CHARACTER                        = "/";
    static final public String SHOW_PROGRESS_ARGUMENT                     = "show_progress";
    static final public String SKIN_ARGUMENT                              = "-skinlf";
    static final public String SINGLE_ESCAPE_ONLY_PATTERN                 = "[^\\\\]+\\\\[^\\\\]+";
    static final public String SOURCESEGMENT_VALUE                        = "SourceSegment";
    static final public String SPACE_CHARACTER                            = " ";
    static final public String SPECIAL_ATTRIBUTE                          = "special";
    static final public String SPEECH_CHARACTER                           = "\"";
    static final public String STOP_CHARACTER                             = ".";
    static final public String STRING_STR                                 = "string";
    static final public String SUBCOLLECTION_ELEMENT                      = "Subcollection";
    static final public String SUBCOLLECTION_STR                          = "subcollection";
    static final public String SUBCOLLECTION_DEFAULT_INDEX_ELEMENT        = "DefaultSubcollection";
    static final public String SUBCOLLECTION_DEFAULT_INDEX_STR            = "defaultsubcollection";
    static final public String SUBCOLLECTION_INDEX_STR                    = "indexsubcollections";
    static final public String SUBCOLLECTION_INDEXES_ELEMENT              = "SubcollectionIndexes";
    static final public String SUPERCOLLECTION_ELEMENT                    = "Supercollection";
    static final public String SUPERCOLLECTION_STR                        = "supercollection";
    static final public String TAB_CHARACTER                              = "\t";
    static final public String TEXT_NODE                                  = "#text";
    static final public String TEXT_STR                                   = "text";
    static final public String TIMESTAMP_ARGUMENT                         = "&uq=";
    static final public String TRUE_STR                                   = "true";
    static final public String TRUNCATED_STRING                            = "...";
    static final public String TYPE_ATTRIBUTE                             = "type";
    static final public String UNDERSCORE_CHARACTER                       = "_";
    static final public String UNKNOWN_ELEMENT                            = "Unknown";
    static final public String UNKNOWNPLUG_STR                             = "UnknownPlug";
    static final public String USE_METADATA_FILES_ARGUMENT                = "use_metadata_files";
    static final public String URL_SEPARATOR_CHARACTER                    = "/";
    static final public String VALUE_ATTRIBUTE                            = "value";
    static final public String VALUE_TREE_ATTRIBUTE                       = "remember_values";
    static final public String YES_STR                                    = "yes";
}
